Skip to main content
GET
Get one of the rewards a consumer has received.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string
default:2.0.0
required

Path Parameters

consumer_id
string
required
Required string length: 2 - 100
Pattern: ^[a-zA-Z0-9_-]+$
Example:

"consumer-12345"

reward_id
string<uuid>
required

Identifier of the reward.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

Response

Successful Response

amount
string
required

Amount of the reward.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
Example:

"12.34"

brand
RewardBrandSchema · object
required

Brand display information for the reward.

consumer_status
string
required

Consumer-facing status of the reward, derived from its moderation status: VALIDATION (will probably be paid, visible to the consumer), POOLED (the consumer can ask to be paid), PAID (the amount has been paid to the consumer).

Example:

"PAID"

created_at
string<date-time>
required

When the reward was created.

Example:

"2026-07-15T10:30:00Z"

id
string<uuid>
required

Identifier of the reward.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

status
string
required

Status of the reward in its moderation workflow (e.g. VALIDATED, PAID_IN, PAID_OUT).

Example:

"PAID_IN"

transaction
RewardTransactionSchema · object | null
required

Originating transaction; null for rewards without one (e.g. gifts).

type
string
required

Type of the reward (e.g. CASHBACK, GIFT).

Example:

"CASHBACK"